#!/bin/bash
# letzter Monat – Aussentemp
nice -n 19 /usr/bin/rrdtool graph /var/www/OUTMONTH.png \
--start -31days --end now -w 650 -h 350 \
--title="Aussentemperatur (- letzter Monat)" \
--font 'TITLE:13:DejaVuSans Bold'\
--alt-y-grid \
--rigid \
--grid-dash 1:0 \
--slope-mode \
--watermark "last updated: $(date)" \
--disable-rrdtool-tag \
--vertical-label "Grad Celsius" \
-c "BACK#000000" -c "SHADEA#000000" -c "SHADEB#000000" \
-c "FONT#DDDDDD" -c "CANVAS#202020" -c "GRID#666666" \
-c "MGRID#AAAAAA" -c "FRAME#202020" -c "ARROW#FFFFFF" \
DEF:AUSSENTEMP=/data/rrdtool/datafroling.rrd:aussentemp:AVERAGE \
LINE2:AUSSENTEMP#ff0000:"AUSSENTEMP" \
DEF:maxaus=/data/rrdtool/datafroling.rrd:aussentemp:MAX \
VDEF:maxaus1=maxaus,MAXIMUM \
GPRINT:maxaus1:"Maximaltemperatur\:%2.1lf" \
DEF:minaus=/data/rrdtool/datafroling.rrd:aussentemp:MIN \
VDEF:minaus1=minaus,MINIMUM \
GPRINT:minaus1:"Minimaltemperatur\:%2.1lf" \
VDEF:TEMPLAST=AUSSENTEMP,LAST \
GPRINT:TEMPLAST:"aktuell\:%2.1lf" \
CDEF:trend_aussentemp=AUSSENTEMP,86400,TREND \
LINE1:trend_aussentemp#00FF00:"Monatstrend" \
> /dev/null
