#!/bin/bash
#30 Tage– Werte
nice -n 19 /usr/bin/rrdtool graph /var/www/month.png \
-w 650 -h 350 -a PNG \
--start -740h --end now \
--title "Froeling alle Daten (Monat)" \
--font 'TITLE:13:DejaVuSans Bold'\
--alt-y-grid \
--rigid \
--grid-dash 1:0 \
--slope-mode \
--watermark "last updated: $(date)" \
--disable-rrdtool-tag \
--vertical-label "Grad Celsius" \
-c "BACK#000000" -c "SHADEA#000000" -c "SHADEB#000000" \
-c "FONT#DDDDDD" -c "CANVAS#202020" -c "GRID#666666" \
-c "MGRID#AAAAAA" -c "FRAME#202020" -c "ARROW#FFFFFF" \
DEF:KESSELTEMP=/data/rrdtool/datafroling.rrd:kesseltemp:AVERAGE \
DEF:AUSSENTEMP=/data/rrdtool/datafroling.rrd:aussentemp:AVERAGE \
DEF:ABGASTEMP=/data/rrdtool/datafroling.rrd:abgastemp:AVERAGE \
DEF:PUFFOBEN=/data/rrdtool/datafroling.rrd:puffoben:AVERAGE \
DEF:PUFFUNTEN=/data/rrdtool/datafroling.rrd:puffunten:AVERAGE \
DEF:VORLAUF1=/data/rrdtool/datafroling.rrd:vorlauf1:AVERAGE \
DEF:VORLAUF2=/data/rrdtool/datafroling.rrd:vorlauf2:AVERAGE \
DEF:BOILER=/data/rrdtool/datafroling.rrd:boiler:AVERAGE \
COMMENT:"               Maximum           Minimum            Durchschnitt           Letzte          " \
LINE1:KESSELTEMP#EEA01D:"KESSELTEMP" \
DEF:kesselmax=/data/rrdtool/datafroling.rrd:kesseltemp:MAX \
VDEF:kesselmax1=kesselmax,MAXIMUM \
GPRINT:kesselmax1:"%5.1lf °C" \
DEF:kesselmin=/data/rrdtool/datafroling.rrd:kesseltemp:MIN \
VDEF:kesselmin1=kesselmin,MINIMUM \
GPRINT:kesselmin1:"%15.1lf °C" \
VDEF:kesselaverage=KESSELTEMP,AVERAGE \
GPRINT:kesselaverage:"%15.1lf °C" \
VDEF:kessellast=KESSELTEMP,LAST \
GPRINT:kessellast:"%15.1lf °C \n" \
LINE1:AUSSENTEMP#CCFF00:"AUSSENTEMP" \
DEF:maxaus=/data/rrdtool/datafroling.rrd:aussentemp:MAX \
VDEF:maxaus1=maxaus,MAXIMUM \
GPRINT:maxaus1:"%5.1lf °C" \
DEF:minaus=/data/rrdtool/datafroling.rrd:aussentemp:MIN \
VDEF:minaus1=minaus,MINIMUM \
GPRINT:minaus1:"%15.1lf °C" \
VDEF:aussenav=AUSSENTEMP,AVERAGE \
VDEF:aussenlast=AUSSENTEMP,LAST \
GPRINT:aussenav:"%15.1lf °C" \
GPRINT:aussenlast:"%15.1lf °C \n" \
LINE1:ABGASTEMP#FF1A00:"ABGASTEMP" \
VDEF:abgasmax=ABGASTEMP,MAXIMUM \
GPRINT:abgasmax:"%6.1lf °C" \
VDEF:abgasmin=ABGASTEMP,MINIMUM \
GPRINT:abgasmin:"%15.1lf °C" \
VDEF:abgasav=ABGASTEMP,AVERAGE \
GPRINT:abgasav:"%15.1lf °C" \
VDEF:abgasl=ABGASTEMP,LAST \
GPRINT:abgasl:"%15.1lf °C \n" \
LINE1:PUFFOBEN#FFFFFF:"PUFFOBEN" \
VDEF:puffobmax=PUFFOBEN,MAXIMUM \
GPRINT:puffobmax:"%7.1lf °C" \
VDEF:puffobmin=PUFFOBEN,MINIMUM \
GPRINT:puffobmin:"%15.1lf °C" \
VDEF:puffobav=PUFFOBEN,AVERAGE \
GPRINT:puffobav:"%15.1lf °C" \
VDEF:puffoblast=PUFFOBEN,LAST \
GPRINT:puffoblast:"%15.1lf °C \n" \
LINE1:PUFFUNTEN#F26300:"PUFFUNTEN" \
VDEF:puffuntmax=PUFFUNTEN,MAXIMUM \
GPRINT:puffuntmax:"%6.1lf °C" \
VDEF:puffuntmin=PUFFUNTEN,MINIMUM \
GPRINT:puffuntmin:"%15.1lf °C" \
VDEF:puffuntav=PUFFUNTEN,AVERAGE \
GPRINT:puffuntav:"%15.1lf °C" \
VDEF:puffuntlast=PUFFUNTEN,LAST \
GPRINT:puffuntlast:"%15.1lf °C \n" \
LINE1:VORLAUF1#00D600:"VORLAUF1" \
VDEF:vorlauf1max=VORLAUF1,MAXIMUM \
GPRINT:vorlauf1max:"%7.1lf °C" \
VDEF:vorlauf1min=VORLAUF1,MINIMUM \
GPRINT:vorlauf1min:"%15.1lf °C" \
VDEF:vorlauf1av=VORLAUF1,AVERAGE \
GPRINT:vorlauf1av:"%15.1lf °C" \
VDEF:vorlauf1last=VORLAUF1,LAST \
GPRINT:vorlauf1last:"%15.1lf °C \n" \
LINE1:VORLAUF2#4169E1:"VORLAUF2" \
VDEF:vorlauf2max=VORLAUF2,MAXIMUM \
GPRINT:vorlauf2max:"%7.1lf °C" \
VDEF:vorlauf2min=VORLAUF2,MINIMUM \
GPRINT:vorlauf2min:"%15.1lf °C" \
VDEF:vorlauf2av=VORLAUF2,AVERAGE \
GPRINT:vorlauf2av:"%15.1lf °C" \
VDEF:vorlauf2last=VORLAUF2,LAST \
GPRINT:vorlauf2last:"%15.1lf °C \n" \
LINE1:BOILER#D600D6:"BOILER" \
VDEF:boilermax=BOILER,MAXIMUM \
GPRINT:boilermax:"%9.1lf °C" \
VDEF:boilermin=BOILER,MINIMUM \
GPRINT:boilermin:"%15.1lf °C" \
VDEF:boilerav=BOILER,AVERAGE \
GPRINT:boilerav:"%15.1lf °C" \
VDEF:boilerlast=BOILER,LAST \
GPRINT:boilerlast:"%15.1lf °C \n"
>/dev/null
